Retrieve an absence group
Returns a single absence group by its internal ID or external reference.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-groups/{absenceGroupReference}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-absence-groups.read
URL parameters
| Parameter | Description |
|---|---|
{absenceGroupReference} |
The internal ID or external reference of the absence group. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the absence group. |
name.default |
string | — | Read-only | Default name value of the absence group. |
name.translations |
object | — | Read-only | A list of translated names of the absence group by language code. |
type |
string | — | Read-only | The type of the absence group (Absence, WorkingElsewhere, Unknown). |
External references
The endpoint supports custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
absence-groups |
Not available | Supported |
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid external reference key or value |
401 |
Missing or invalid access token, or insufficient scope |
404 |
Absence group with the given ID or external reference does not exist |
Examples
Retrieving an absence group by internal ID
Example with internal ID 2:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-groups/2
With custom external reference
Example with custom external reference SICK-LEAVE:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-groups/SICK-LEAVE?externalReferences=(absence-groups,customAbsenceGroupCode)